<?php 
if (class_exists('SiteUsers'))
{
	/* Получаем id текущего пользователя сайта */
	$SiteUsers = & singleton('SiteUsers');
	$site_user_id = $SiteUsers->GetCurrentSiteUser();
}
else
{
	$site_user_id = 0;
}

/* Получаем идентификатор заказа */
$shop_order_id = end($GLOBALS['URL_ARRAY']);
$shop_order_id = to_int($shop_order_id);

if ($shop_order_id)
{
	$shop = & singleton('shop');

	/* Проверяем, принадлежит ли заказ текущему юзеру */
	if ($shop->IsOrderOfThisSiteUser($shop_order_id, $site_user_id) || isset($_SESSION['order_'.$shop_order_id]))
	{
		$order_row = $shop->GetOrder($shop_order_id);
		if ($order_row)
		{
			/* Формируем путь к файлу */
			$handler_path = CMS_FOLDER."hostcmsfiles/shop/pay/handler".$order_row['shop_system_of_pay_id'].'.php';
			if (file_exists($handler_path))
			{
				include($handler_path);
				$handler = new system_of_pay_handler();
				$handler->PrintOrder($shop_order_id);
			}
		}
	}
}

?>